package com.ym.library.module;

import java.util.List;

/**
 * @author (wangXuewei)
 * @datetime 2020-10-30 19:55 GMT+8
 * @detail :
 */
public class RedPackDoubleReceiveEntity {


    /**
     * recode : 1
     * msg : 领取成功
     * rewardContentList : [{"rewardNum":200,"totalRewardNum":240,"currencyTypeEnum":"CENT","currencyType":10,"rate":null,"cash":0}]
     * overRewardContentList : null
     * ore : null
     * cents : null
     * taskId : null
     * centTemp : null
     * oreTemp : null
     * doublingRpk : null
     * ext : null
     */

    private int recode;
    private String msg;
    private Object overRewardContentList;
    private Object ore;
    private Object cents;
    private Object taskId;
    private Object centTemp;
    private Object oreTemp;
    private Object doublingRpk;
    private Object ext;
    private List<RewardContentListBean> rewardContentList;

    public int getRecode() {
        return recode;
    }

    public void setRecode(int recode) {
        this.recode = recode;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public Object getOverRewardContentList() {
        return overRewardContentList;
    }

    public void setOverRewardContentList(Object overRewardContentList) {
        this.overRewardContentList = overRewardContentList;
    }

    public Object getOre() {
        return ore;
    }

    public void setOre(Object ore) {
        this.ore = ore;
    }

    public Object getCents() {
        return cents;
    }

    public void setCents(Object cents) {
        this.cents = cents;
    }

    public Object getTaskId() {
        return taskId;
    }

    public void setTaskId(Object taskId) {
        this.taskId = taskId;
    }

    public Object getCentTemp() {
        return centTemp;
    }

    public void setCentTemp(Object centTemp) {
        this.centTemp = centTemp;
    }

    public Object getOreTemp() {
        return oreTemp;
    }

    public void setOreTemp(Object oreTemp) {
        this.oreTemp = oreTemp;
    }

    public Object getDoublingRpk() {
        return doublingRpk;
    }

    public void setDoublingRpk(Object doublingRpk) {
        this.doublingRpk = doublingRpk;
    }

    public Object getExt() {
        return ext;
    }

    public void setExt(Object ext) {
        this.ext = ext;
    }

    public List<RewardContentListBean> getRewardContentList() {
        return rewardContentList;
    }

    public void setRewardContentList(List<RewardContentListBean> rewardContentList) {
        this.rewardContentList = rewardContentList;
    }

    public static class RewardContentListBean {
        /**
         * rewardNum : 200
         * totalRewardNum : 240
         * currencyTypeEnum : CENT
         * currencyType : 10
         * rate : null
         * cash : 0
         */

        private int rewardNum;
        private int totalRewardNum;
        private String currencyTypeEnum;
        private int currencyType;
        private Object rate;
        private int cash;

        public int getRewardNum() {
            return rewardNum;
        }

        public void setRewardNum(int rewardNum) {
            this.rewardNum = rewardNum;
        }

        public int getTotalRewardNum() {
            return totalRewardNum;
        }

        public void setTotalRewardNum(int totalRewardNum) {
            this.totalRewardNum = totalRewardNum;
        }

        public String getCurrencyTypeEnum() {
            return currencyTypeEnum;
        }

        public void setCurrencyTypeEnum(String currencyTypeEnum) {
            this.currencyTypeEnum = currencyTypeEnum;
        }

        public int getCurrencyType() {
            return currencyType;
        }

        public void setCurrencyType(int currencyType) {
            this.currencyType = currencyType;
        }

        public Object getRate() {
            return rate;
        }

        public void setRate(Object rate) {
            this.rate = rate;
        }

        public int getCash() {
            return cash;
        }

        public void setCash(int cash) {
            this.cash = cash;
        }
    }
}
